<?xml version="1.0"?>

<st-source>
<time-stamp>From Squeak3.9 on 14 March 2007 at 11:49:06 am</time-stamp>
<version>Comet-mb.18.mcz      14 March 2007 11:47:44 am</version>

<class>
<name>CTChat</name>
<environment>Seaside</environment>
<super>Seaside.SUFunctionalTest</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>username message</inst-vars>
<class-inst-vars>pusher messageClass</class-inst-vars>
<imports></imports>
<category>Comet-Examples</category>
<attributes>
<package>Comet-Examples</package>
</attributes>
</class>

<class>
<name>CTComet</name>
<environment>Seaside</environment>
<super>Seaside.SUPrototype</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>pusher url</inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>Comet-Core</category>
<attributes>
<package>Comet-Core</package>
</attributes>
</class>

<class>
<name>CTCounter</name>
<environment>Seaside</environment>
<super>Seaside.SUFunctionalTest</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars></inst-vars>
<class-inst-vars>pusher count</class-inst-vars>
<imports></imports>
<category>Comet-Examples</category>
<attributes>
<package>Comet-Examples</package>
</attributes>
</class>

<class>
<name>CTHandler</name>
<environment>Seaside</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>id pusher socket session context</inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>Comet-Core</category>
<attributes>
<package>Comet-Core</package>
</attributes>
</class>

<class>
<name>CTLibrary</name>
<environment>Seaside</environment>
<super>Seaside.WAScriptLibrary</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars></inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>Comet-Core</category>
<attributes>
<package>Comet-Core</package>
</attributes>
</class>

<class>
<name>CTPusher</name>
<environment>Seaside</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>mutex handlers</inst-vars>
<class-inst-vars>process delay</class-inst-vars>
<imports></imports>
<category>Comet-Core</category>
<attributes>
<package>Comet-Core</package>
</attributes>
</class>

<class>
<name>CTSession</name>
<environment>Seaside</environment>
<super>Seaside.WASession</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>handlers</inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>Comet-Core</category>
<attributes>
<package>Comet-Core</package>
</attributes>
</class>

<class>
<name>CTChatSession</name>
<environment>Seaside</environment>
<super>Seaside.CTSession</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>username</inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>Comet-Examples</category>
<attributes>
<package>Comet-Examples</package>
</attributes>
</class>
<methods>
<class-id>Seaside.WARenderCanvas</class-id>
<category>*comet</category>
<body package="Comet-Extensions">comet
	^ Seaside.CTComet on: self</body>
</methods>
<methods>
<class-id>Seaside.CTChat</class-id>
<category>private</category>
<body package="Comet-Examples">otherHandlers
	^self pusher handlers reject:
		[:h | h session == self session 
			or: [h session username isNil]]</body>
</methods>
<methods>
<class-id>Seaside.CTChat</class-id>
<category>rendering</category>
<body package="Comet-Examples">renderChatOn: html
	html div id: 'status'; with: [
		html text: 'Currently logged in as ', self username , '.'.
		html space.
		html anchor
			callback: [self event: 'is saying bye, bye...'. self username: nil];
			text: 'Logout'
		].		 
	html div id: 'messages'.
	html textArea
		id: 'message';
		callback: [ :value | self message: value ];
		onEnter: (html request
			triggerFormElement: 'message';
			onSuccess: (SUStream on: '$("message").value = ""')).
	html script: (html comet
		pusher: self pusher;
		connect).
	html script: (SUInsertion bottom
		id: 'messages';
		with: self htmlChatMembers)
</body>
</methods>
<methods>
<class-id>Seaside.CTChat</class-id>
<category>accessing</category>
<body package="Comet-Examples">username: aString
	self session username: aString</body>
</methods>
<methods>
<class-id>Seaside.CTChat</class-id>
<category>private</category>
<body package="Comet-Examples">push: aString class: cssClass
	self class push: aString class: cssClass fromUser: self username
</body>
</methods>
<methods>
<class-id>Seaside.CTChat</class-id>
<category>private</category>
<body package="Comet-Examples">message: aString
	self push: aString class: 'message'</body>
</methods>
<methods>
<class-id>Seaside.CTChat</class-id>
<category>accessing</category>
<body package="Comet-Examples">username
	^self session username</body>
</methods>
<methods>
<class-id>Seaside.CTChat</class-id>
<category>rendering</category>
<body package="Comet-Examples">renderContentOn: html
	html div class: 'chat'; with: [
		html heading: 'Seaside Chat' level: 3.
		self isLoggedIn
			ifFalse:
				[self renderLoginOn: html]
			ifTrue:
				[self renderChatOn: html]
		]</body>
</methods>
<methods>
<class-id>Seaside.CTChat</class-id>
<category>private</category>
<body package="Comet-Examples">htmlStringClass: aCssClass with: aString
	^ 
'&lt;div class="message message-' , self class messageClass , '"&gt;' , 
	'&lt;span class="username"&gt;' , self username , '&lt;/span&gt;' ,
	'&lt;span class="' , aCssClass , '"&gt;' , aString , '&lt;/span&gt;' ,
'&lt;/div&gt;'</body>
</methods>
<methods>
<class-id>Seaside.CTChat</class-id>
<category>rendering</category>
<body package="Comet-Examples">style
	^ '
div.chat {
	font-family: Tahoma;
}
div.message {
	margin-top: 3px;
	margin-bottom: 3px;
}
div.message-admin {
	border: 2px solid red;
	background-color: yellow;
}
div.message-odd {
	background-color: #dddddd;
}
div.message-even {
	background-color: #eeeeee;
}
span.username {
	margin-right: 1em;
	font-weight: bold;
}
span.event {
	font-style: italic;
}
#message {
	width: 80%;
	height: 5em; 
	margin: 1em;
}
#messages {
	height: 16em;
	overflow: auto;
}
#status {
	width: 100%;
	padding: 2em;
	background-color: #lightblue;
}

' 
</body>
</methods>
<methods>
<class-id>Seaside.CTChat</class-id>
<category>private</category>
<body package="Comet-Examples">htmlChatMembers
	| aStream aString |
	aStream := String new writeStream.
	self otherHandlers do:
		[:h |
		aStream nextPutAll: h session username]
	separatedBy:
		[aStream nextPutAll: ', '].
	aString := aStream contents.
	aString := aString isEmpty
		ifTrue: ['You are the only one there']
		ifFalse:	['Also there: ' , aStream contents].
	^ 
'&lt;div class="message message-' , self class messageClass , '"&gt;' , 
	'&lt;span class="message"&gt;' , aString , '&lt;/span&gt;' ,
'&lt;/div&gt;'</body>
</methods>
<methods>
<class-id>Seaside.CTChat</class-id>
<category>accessing</category>
<body package="Comet-Examples">pusher
	^ self class pusher</body>
</methods>
<methods>
<class-id>Seaside.CTChat</class-id>
<category>rendering</category>
<body package="Comet-Examples">renderLoginOn: html
	html form: [
		html textInput
			id: 'username';
			value: self username;
			callback: [ :value | self username: value. value notNil ifTrue: [self event: 'joined' ] ].
		html submitButton
			text: 'Login'.
	]
	
</body>
</methods>
<methods>
<class-id>Seaside.CTChat</class-id>
<category>testing</category>
<body package="Comet-Examples">isLoggedIn
	^self username notNil</body>
</methods>
<methods>
<class-id>Seaside.CTChat</class-id>
<category>private</category>
<body package="Comet-Examples">event: aString
	self push: aString class: 'event'</body>
</methods>
<methods>
<class-id>Seaside.CTChatSession</class-id>
<category>accessing</category>
<body package="Comet-Examples">username
	"Answer the value of username"

	^ username</body>
</methods>
<methods>
<class-id>Seaside.CTChatSession</class-id>
<category>accessing</category>
<body package="Comet-Examples">username: anObject
	"Set the value of username"

	username := anObject</body>
</methods>
<methods>
<class-id>Seaside.CTComet</class-id>
<category>initialization</category>
<body package="Comet-Core">initialize
	super initialize.
	self create</body>
</methods>
<methods>
<class-id>Seaside.CTComet</class-id>
<category>accessing</category>
<body package="Comet-Core">url: anUrl
	url := anUrl</body>
</methods>
<methods>
<class-id>Seaside.CTComet</class-id>
<category>private</category>
<body package="Comet-Core">defaultArguments
	^ (Array with: self url) , super defaultArguments</body>
</methods>
<methods>
<class-id>Seaside.CTComet</class-id>
<category>actions</category>
<body package="Comet-Core">connect
	self call: 'connect'</body>
</methods>
<methods>
<class-id>Seaside.CTComet</class-id>
<category>initialization</category>
<body package="Comet-Core">setPusher: aPusher
	pusher := aPusher</body>
</methods>
<methods>
<class-id>Seaside.CTComet</class-id>
<category>private</category>
<body package="Comet-Core">defaultUrl
	^ self canvas context actionUrl
		addParameter: self class headerField
		value: self pusher id</body>
</methods>
<methods>
<class-id>Seaside.CTComet</class-id>
<category>actions</category>
<body package="Comet-Core">disconnect
	self call: 'disconnect'</body>
</methods>
<methods>
<class-id>Seaside.CTComet</class-id>
<category>accessing</category>
<body package="Comet-Core">pusher: aPusher
	self url: (self canvas context actionUrl
		withParameter: self class headerField 
		value: (self session 
			registerPusher: (pusher := aPusher)
			context: self canvas context))</body>
</methods>
<methods>
<class-id>Seaside.CTComet</class-id>
<category>accessing</category>
<body package="Comet-Core">url
	^ url ifNil: [ url := self defaultUrl ]</body>
</methods>
<methods>
<class-id>Seaside.CTComet</class-id>
<category>accessing</category>
<body package="Comet-Core">pusher
	^ pusher</body>
</methods>
<methods>
<class-id>Seaside.CTComet</class-id>
<category>private</category>
<body package="Comet-Core">defaultPrototype
	^ 'Comet'</body>
</methods>
<methods>
<class-id>Seaside.CTComet</class-id>
<category>options</category>
<body package="Comet-Core">reconnect: aBoolean
	self optionAt: 'reconnect' put: aBoolean</body>
</methods>
<methods>
<class-id>Seaside.CTCounter</class-id>
<category>accessing</category>
<body package="Comet-Examples">count: anInteger
	^ self class count contents: anInteger</body>
</methods>
<methods>
<class-id>Seaside.CTCounter</class-id>
<category>rendering</category>
<body package="Comet-Examples">renderContentOn: html
	html heading
		id: 'count';
		with: self count.
	html anchor
		onClick: (html request 
			callback: [ self count: self count + 1 ]);
		with: '++'.
	html space.
	html anchor
		onClick: (html request 
			callback: [ self count: self count - 1 ]);
		with: '--'.
	html script: (html comet
		pusher: self pusher;
		connect)</body>
</methods>
<methods>
<class-id>Seaside.CTCounter</class-id>
<category>accessing</category>
<body package="Comet-Examples">count
	^ self class count contents</body>
</methods>
<methods>
<class-id>Seaside.CTCounter</class-id>
<category>accessing</category>
<body package="Comet-Examples">pusher
	^ self class pusher</body>
</methods>
<methods>
<class-id>Seaside.CTHandler</class-id>
<category>actions</category>
<body package="Comet-Core">connect: aRequest
	self 
		basicDisconnect; 
		basicConnect: aRequest.
	self pusher register: self.
	self basicTerminate</body>
</methods>
<methods>
<class-id>Seaside.CTHandler</class-id>
<category>accessing</category>
<body package="Comet-Core">session
	^ session</body>
</methods>
<methods>
<class-id>Seaside.CTHandler</class-id>
<category>actions</category>
<body package="Comet-Core">push: aString
	socket ifNil: [ ^ false ].
	^ socket pushData: aString</body>
</methods>
<methods>
<class-id>Seaside.CTHandler</class-id>
<category>private</category>
<body package="Comet-Core">basicConnect: aRequest
	| root |
	socket := aRequest responseStream socket.
	socket pushData: (String streamContents: [ :stream |
		root := WARenderedHtmlRoot context: context.
		WAResponse new
			contentType: 'text/html; charset=utf-8';
			headerAt: 'Expires' put: 'Thu, 11 Jun 1980 12:00:00 GMT';
			headerAt: 'Cache-Control' put: 'no-cache, must-revalidate';
			headerAt: 'Pragma' put: 'no-cache';
			contents: (String streamContents: [ :contents |
				WACurrentSession
					use: session
					during: [ session updateRoot: root. root writeOn: contents ].
				contents nextPutAll: (String new: 1024 withAll: Character space) ]);
			writeOn: stream ])</body>
</methods>
<methods>
<class-id>Seaside.CTHandler</class-id>
<category>accessing</category>
<body package="Comet-Core">pusher
	^ pusher</body>
</methods>
<methods>
<class-id>Seaside.CTHandler</class-id>
<category>accessing</category>
<body package="Comet-Core">id
	^ id</body>
</methods>
<methods>
<class-id>Seaside.CTHandler</class-id>
<category>private</category>
<body package="Comet-Core">basicTerminate
	thisContext swapSender: nil.
	Processor activeProcess terminate
	</body>
</methods>
<methods>
<class-id>Seaside.CTHandler</class-id>
<category>private</category>
<body package="Comet-Core">basicDisconnect
	socket ifNil: [ ^ self ].
	socket destroy.
	socket := nil</body>
</methods>
<methods>
<class-id>Seaside.CTHandler</class-id>
<category>initialization</category>
<body package="Comet-Core">initializeOn: aPusher session: aSession context: aContext
	id := WAExternalID new asString.
	pusher := aPusher.
	session := aSession.
	context := aContext</body>
</methods>
<methods>
<class-id>Seaside.CTLibrary</class-id>
<category>scripts</category>
<body package="Comet-Core">comet
	^ '/* Seaside Comet API
 *  (c) 2006 Lukas Renggli (renggli@iam.unibe.ch)
 */

Comet = Class.create();
Comet.prototype = {
	initialize: function (url, options) {
		this.url = url;
		this.options = Object.extend({
			reconnect: false
		}, options || {});
		this.iframe = document.createElement("iframe");
		this.iframe.style.visibility = "hidden";
		this.iframe.style.width = this.iframe.style.height = this.iframe.style.border = "0";
		document.getElementsByTagName("body")[0].appendChild(this.iframe);
	},
	connect: function() {
		this.iframe.onLoad = this.onLoad.bind(this);
		this.iframe.src = this.url;
	},
	disconnect: function() {
		this.iframe.onLoad = Prototype.emptyFunction; 
		this.iframe.src = "about:blank";
	},
	onLoad: function() {
		this.disconnect();
		if (this.options.reconnect)
			this.connect();
	}
};
Comet.eval = function(code) { return eval(code); };'</body>
</methods>
<methods>
<class-id>Seaside.CTPusher</class-id>
<category>public</category>
<body package="Comet-Core">register: aHandler
	"Register a new handler into this pusher."

	mutex critical: [ handlers := handlers copyWith: aHandler ]</body>
</methods>
<methods>
<class-id>Seaside.CTPusher</class-id>
<category>initialization</category>
<body package="Comet-Core">initialize
	mutex := Semaphore forMutualExclusion.
	handlers := Array new</body>
</methods>
<methods>
<class-id>Seaside.CTPusher</class-id>
<category>public</category>
<body package="Comet-Core">javascript: anObject
	"Push aString to all associated handlers."

	self push: (String streamContents: [ :stream |
		stream 
			nextPutAll: '&lt;script type="text/javascript"&gt;parent.Comet.eval(';
			javascript: anObject asJavascript;
			nextPutAll: ')&lt;/script&gt;' ])</body>
</methods>
<methods>
<class-id>Seaside.CTPusher</class-id>
<category>public</category>
<body package="Comet-Core">ping
	"Ping all the associated handlers."

	self mutex critical: [ handlers := handlers select: [ :each | each push: ' ' ] ]</body>
</methods>
<methods>
<class-id>Seaside.CTPusher</class-id>
<category>accessing</category>
<body package="Comet-Core">mutex
	"Answer the mutex in use with the reciever."

	^ mutex</body>
</methods>
<methods>
<class-id>Seaside.CTPusher</class-id>
<category>public</category>
<body package="Comet-Core">push: aString
	"Push aString to all associated handlers."

	handlers do: [ :each | each push: aString ]</body>
</methods>
<methods>
<class-id>Seaside.CTPusher</class-id>
<category>accessing</category>
<body package="Comet-Core">handlers
	"Answer the current list of handlers."

	^ handlers</body>
</methods>
<methods>
<class-id>Seaside.CTSession</class-id>
<category>initialization</category>
<body package="Comet-Core">initializeWithApplication: anApplication
	super initializeWithApplication: anApplication.
	handlers := Dictionary new</body>
</methods>
<methods>
<class-id>Seaside.CTSession</class-id>
<category>initialization</category>
<body package="Comet-Core">initialize
	super initialize.
	handlers := Dictionary new</body>
</methods>
<methods>
<class-id>Seaside.CTSession</class-id>
<category>public</category>
<body package="Comet-Core">registerPusher: aPusher context: aContext
	| handler |
	handler := CTHandler on: aPusher session: self context: aContext.
	handlers at: handler id put: handler.
	^ handler id</body>
</methods>
<methods>
<class-id>Seaside.CTSession</class-id>
<category>processing</category>
<body package="Comet-Core">cometRequest: aRequest
	^ (handlers
		at: (aRequest fields
			at: CTComet headerField
			ifAbsent: [ ^ nil ])
		ifAbsent: [ ^ nil ])
			connect: aRequest</body>
</methods>
<methods>
<class-id>Seaside.CTSession</class-id>
<category>processing</category>
<body package="Comet-Core">incomingRequest: aRequest
	aRequest responseStream
		ifNil: [ self error: 'Streaming-server required.' ].
	^ (aRequest fields includesKey: CTComet headerField)
		ifTrue: [ self cometRequest: aRequest ]
		ifFalse: [ super incomingRequest: aRequest ]</body>
</methods>
<methods>
<class-id>Seaside.CTChat class</class-id>
<category>pushing</category>
<body package="Comet-Examples">push: aString class: cssClass fromUser: userName
	self
		push: aString
		class: cssClass
		fromUser: userName
		divClass: self messageClass
</body>
</methods>
<methods>
<class-id>Seaside.CTChat class</class-id>
<category>initialization</category>
<body package="Comet-Examples">initialize
	| application |
	pusher := CTPusher new.
	application := self registerAsApplication: 'comet/chat'.
	application preferenceAt: #sessionClass put: CTChatSession.
	application libraries add: SULibrary; add: CTLibrary</body>
</methods>
<methods>
<class-id>Seaside.CTChat class</class-id>
<category>utilities</category>
<body package="Comet-Examples">adminMessage: aString 
	"(( CTChat adminMessage: 'Please logoff as soon as possible !' ))"
	self
		push: aString
		class: 'message'
		fromUser: 'Administrator' 
		divClass: 'message-admin'
</body>
</methods>
<methods>
<class-id>Seaside.CTChat class</class-id>
<category>accessing</category>
<body package="Comet-Examples">pusher
	^ pusher</body>
</methods>
<methods>
<class-id>Seaside.CTChat class</class-id>
<category>pushing</category>
<body package="Comet-Examples">push: aString class: cssClass fromUser: userName divClass: divClass
	self push: [:r |
		r div class: 'message'; class: divClass;
			with: [ 
				r span class: 'username'; with: userName.
				r span class: cssClass; with: aString]]
</body>
</methods>
<methods>
<class-id>Seaside.CTChat class</class-id>
<category>pushing</category>
<body package="Comet-Examples">push: aBlock
	| htmlFragment document context renderer |
	document := (WAHtmlStreamDocument new)
						bodyStream;
						yourself.
	context := WARenderingContext new document: document.
	renderer := WARenderCanvas context: context callbacks: nil.
	renderer render: aBlock. 
	htmlFragment := document stream contents.	
	self pusher javascript: ((SUInsertion bottom)
		id: 'messages';
		with: htmlFragment)</body>
</methods>
<methods>
<class-id>Seaside.CTChat class</class-id>
<category>accessing</category>
<body package="Comet-Examples">messageClass
	| result |
	messageClass isNil ifTrue: [messageClass := 'odd'].
	result := messageClass.
	messageClass := messageClass = 'odd'
		ifTrue: ['even']
		ifFalse: ['odd'].
	^result.</body>
</methods>
<methods>
<class-id>Seaside.CTComet class</class-id>
<category>configuration</category>
<body package="Comet-Core">terminator
	^ Character value: 0</body>
</methods>
<methods>
<class-id>Seaside.CTComet class</class-id>
<category>instance-creation</category>
<body package="Comet-Core">new
	^self basicNew initialize</body>
</methods>
<methods>
<class-id>Seaside.CTComet class</class-id>
<category>configuration</category>
<body package="Comet-Core">headerField
	^ '_c'</body>
</methods>
<methods>
<class-id>Seaside.CTCounter class</class-id>
<category>private</category>
<body package="Comet-Examples">count
	^ count</body>
</methods>
<methods>
<class-id>Seaside.CTCounter class</class-id>
<category>initialization</category>
<body package="Comet-Examples">initialize
	| application |
	pusher := CTPusher new.
	count := ValueHolder new contents: 0.
	count addDependent: self.
	application := self registerAsApplication: 'comet/counter'.
	application preferenceAt: #sessionClass put: CTSession.
	application libraries add: SULibrary; add: CTLibrary</body>
</methods>
<methods>
<class-id>Seaside.CTCounter class</class-id>
<category>private</category>
<body package="Comet-Examples">update: anAspect
	pusher javascript: (SUElement new
		id: 'count';
		update: self count contents asString)</body>
</methods>
<methods>
<class-id>Seaside.CTCounter class</class-id>
<category>private</category>
<body package="Comet-Examples">pusher
	^ pusher</body>
</methods>
<methods>
<class-id>Seaside.CTHandler class</class-id>
<category>instance creation</category>
<body package="Comet-Core">on: aPusher session: aSession context: aContext
	^ self basicNew initializeOn: aPusher session: aSession context: aContext</body>
</methods>
<methods>
<class-id>Seaside.CTPusher class</class-id>
<category>private</category>
<body package="Comet-Core">pingProcess
	self allInstancesDo: [ :each | each ping ].
	delay wait</body>
</methods>
<methods>
<class-id>Seaside.CTPusher class</class-id>
<category>initialization</category>
<body package="Comet-Core">initialize
	SeasidePlatformSupport 
		addToStartUpList: self after: WAListener; 
		addToShutDownList: self.
	self startUp</body>
</methods>
<methods>
<class-id>Seaside.CTPusher class</class-id>
<category>instance creation</category>
<body package="Comet-Core">new
	^self basicNew initialize</body>
</methods>
<methods>
<class-id>Seaside.CTPusher class</class-id>
<category>initialization</category>
<body package="Comet-Core">startUp
	self shutDown.
	delay := Delay forSeconds: 15.
	process := SeasidePlatformSupport
		withName: 'ping' withPriority: 20
		fork: [ [ self pingProcess ] repeat ]
</body>
</methods>
<methods>
<class-id>Seaside.CTPusher class</class-id>
<category>initialization</category>
<body package="Comet-Core">shutDown
	process ifNil: [ ^ self ].
	SeasidePlatformSupport terminateProcess: process.
	process := nil</body>
</methods>
<initialize>
<class-id>Seaside.CTChat</class-id>
</initialize>
<initialize>
<class-id>Seaside.CTCounter</class-id>
</initialize>
<initialize>
<class-id>Seaside.CTPusher</class-id>
</initialize>
</st-source>
